<#ibiztemplate>
TARGET=PSDATAENTITY
</#ibiztemplate>
<#if de.getUserTag()?? && de.getUserTag()=='elasticsearch'>
package ${pub.getPKGCodeName()}.core.es.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import ${pub.getPKGCodeName()}.core.es.domain.${item.codeName};
import ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().getCodeName()?lower_case}.filter.${de.getCodeName()}SearchContext;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[${item.codeName}] 服务对象接口
 */
public interface I${item.codeName}Service extends IService<${item.codeName}>{
    <@addIDESerivceBody />
}

<#macro addIDESerivceBody >
    <#comment>实体接口主体内容</#comment>
    <#assign keyfield=item.getKeyPSDEField()>
    <#if item.getAllPSDEActions()??>
        <#list item.getAllPSDEActions() as deaction>
            <#if deaction.isEnableBackend()>
                <#if deaction.codeName?lower_case == 'get'>
                    ${item.codeName} get(${srfr7javatype(keyfield.stdDataType)} key) ;
                <#elseif deaction.codeName?lower_case == "create">
    boolean create(${item.codeName} et) ;
    void createBatch(List<${item.codeName}> list) ;
                <#elseif deaction.codeName?lower_case == "update">
    boolean update(${item.codeName} et) ;
    void updateBatch(List<${item.codeName}> list) ;
                <#elseif deaction.codeName?lower_case == "remove">
    boolean remove(${srfr7javatype(keyfield.stdDataType)} key) ;
    void removeBatch(Collection<${srfr7javatype(keyfield.stdDataType)}> idList) ;
                <#elseif deaction.codeName?lower_case == "save">
    boolean save(${item.codeName} et) ;
    void saveBatch(List<${item.codeName}> list) ;
                </#if>
            </#if>
        </#list>
    </#if>
    <#if item.getAllPSDEDataSets()??>
        <#list item.getAllPSDEDataSets() as dedataset>
    Page<${item.getCodeName()}> search${dedataset.getCodeName()}(${item.codeName}SearchContext context) ;
        </#list>
    </#if>
</#macro>

</#if>